# Method: roleAssignments.list

Retrieves a paginated list of all roleAssignments.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customer/{customer}/roleassignments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` The unique ID for the customer's Google Workspace account. In case of a multi-domain account, to fetch all groups for a customer, use this field instead of `domain`. You can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users](https://developers.google.com/workspace/admin/directory/v1/reference/users) resource. You must provide either the `customer` or the `domain` parameter. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` Token to specify the next page in the list. |
| `roleId` | `string` Immutable ID of a role. If included in the request, returns only role assignments containing this role ID. |
| `userKey` | `string` The primary email address, alias email address, or unique user or group ID. If included in the request, returns role assignments only for this user or group. |
| `includeIndirectRoleAssignments` | `boolean` When set to `true`, fetches indirect role assignments (i.e. role assignment via a group) as well as direct ones. Defaults to `false`. You must specify `userKey` or the indirect role assignments will not be included. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "items": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/roleAssignments#RoleAssignment`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` The type of the API resource. This is always `admin#directory#roleAssignments`. |
| `etag` | `string` ETag of the resource. |
| `items[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/roleAssignments#RoleAssignment`)`` A list of RoleAssignment resources. |
| `nextPageToken` | `string` |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.rolemanagement`
- `
  https://www.googleapis.com/auth/admin.directory.rolemanagement.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).